package com.muyu.service.serviceImpl;

import com.muyu.domain.AssetImpower;
import com.muyu.mapper.EtlMapper;
import com.muyu.service.EtlService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.xml.transform.Result;
import java.util.List;

/**
 * @Author：qdm
 * @Package：com.muyu.service.serviceImpl
 * @Project：cloud-etl
 * @name：EtlService
 * @Date：2024/8/20 20:46
 */
@Service
public class EtlServiceImpl implements EtlService {

       @Autowired
        private EtlMapper etlMapper;

    @Override
    public List<AssetImpower> selectAssetImpowerList(AssetImpower assetImpower) {
        List<AssetImpower> assetImpowers = etlMapper.list(assetImpower);
        return assetImpowers;
    }

    @Override
    public Result deleteAssetImpowerByIds(Long[] ids) {
        return etlMapper.deleteAssetImpowerByIds(ids);
    }


}
